Introduction

Introduction to Lead Captain

 Top Next

Your RHO opens 1NT (15-17). Since your methods won't let you show diamonds below the 3 level, you pass. The bidding proceeds 1N-2C-2D-2N-P. LHO has a 4 card major with invitational values; RHO doesn't have a 4 card major and didn't accept.

What's your lead?

Lead Captain is the perfect program to answer that question.

Here's all you need to do:

· Fill in the leader's hand
· Define the three unknown hands.
· Specify the contract
· Click the button


Fill in Leader's Hand

 Top Previous Next

Insert all 13 cards for the leader. Be sure to use T for a ten card. As you are entering the cards, they will be sorted automatically from high rank down to lowest rank in the suit.

If there's a void suit, just leave the field completely blank.

Leader


Defining Hands

Each of the three unknown hands, dummy/partner/declares, can be defined with as much precision as provided by the bidding. Click on the appropriate button on the main screen to see a screen like this:

Include/Exclude

A deal will be included in your study if each hand passes the requirements for that hand. A hand will not be included if it:

· meets the definition for one or more excluded patterns
· does not meed the definition for one or more included patterns.

In other words, the hand needs to pass one included definition, but can't have any excluded definitions. Lead Captain first looks at the exclusion definitions (if any), regardless of the order you have defined them.. If the hand meets any of the excluded patters, that deal is excluded. Next it looks at the included patterns, and includes the deal if the hand meets one (or more) of the included patterns.

Note that there are two different ways to exclude a hand with a specific honor card. Assume you want to prevent a hand from having a queen of spades. If there are no other suit quality requirements, just put "-Q" for the suit quality of spades. If you also want to describe another holding in that suit - for example one of the top two honors in spades - you can't put both both suit quality requirements in the one suit quality field. It will be necessary to put a "Q" (no minus sign) in suit quality and exclude that pattern. With another pattern show "12" in suit quality.

Patterns

For each hand you can define from zero to 20 different "patterns". A pattern defines the strength and distribution of a hand, as revealed by the bidding. Often the bidding will reveal that a player has two or more different patterns. For example, after 1N-2C-2D-3N you know that responder has at least game forcing but less than slam invitational strength. You also know that he holds 4 cards in one or both majors. Thus you need two hand patterns to describe his holding: one with exactly 4 hearts and 0-4 spades, and one with exactly 4 spades and 0-4 hearts. These two patterns will also cover the situation where responder has 4 in both majors.

Use the Add/Delete buttons to increase/decrease the number of patterns for this hand. A hand with zero patterns is considered totally random; i.e. no constraints. When adding a new pattern, the initial values are set to the pattern displayed when you clicked the Add button.

Use the Prior/Next buttons to view the various patterns you've described for this hand.

See Total Points for information about the Define TP button.

The Return button saves any changes and gets you back to the main screen. Clicking the upper-right corner red X will cancel any changes you've made to this pattern and return you to the main screen. Next, or Prior will save any changes to that pattern and move you to the appropriate pattern.

Hand Strength

Define a hand's strength by

· High Card Points,
· Losing Trick Count
· Total Points
· ZAR ponts
· KPC, Kaplan Point Count
· Aces, and
· Kings

Hand Strength

Distribution

Length

Insert the minimum and maximum length for each suit as revealed by the bidding.

Suit Quality

To designate holding

· a specific card, insert a T, J, Q, K, or A
· a minimum holding of one or more honors, insert a two digit code: the 1st digit indicates the number and the 2nd the range. In this example I've designated that the hand must have at least 2 of the top 4 honors in spades.

To deny a specific holding in a suit, put a minus sign in front of the above codes; e.g. -12 = does not have 1 of the top 2 honors (i.e. doesn't hold the ace or king in that suit), or -q=does not have the queen in that suit.

Distribution

For some, a balanced distribution may include 5422 shape, for others - no. The choice is yours. You can further specify, in the length fields, that a 5 card major is not permitted by setting the length to 2-4.


Total Points

Lead Captain calculates total points as the sum of High Card Points (HCP) and Length Points with optional Adjustments.

TP = HCP + Length Points + Adjustments

HCP The standard Milton Work 4-3-2-1 system for each Ace-King-Queen-Jack.

Length Points One point for every card over 4 in each suit. Thus a 6511 shape would result in 3 length points.

Adjustments

You choose what adjustments, if any, you want in the Total Point calculation. To the right is just an example. You may set up these adjustments just once and they will be carried over to the next project. They are saved along with other information in the INI file. The screen to the right is accessed via the Define TP button found on each hand definition screen.

Short suit adjustments

· Only dummy and declarer can take short suit points.
· With 2 or fewer trump, or if it's a NT contract, short suit points are always zero.
· With exactly 3 trump can be one range - here they are 3-2-1 for each void-singleton-doubleton.
· With 4+ trump you may have a different adjustments.

Short suit honor adjustments

Adjustments can also be made for singleton or doubleton honors. The example to the right demonstrates the ability to use fractional values.

Adjustments


Other Options

1. Enter the Contract Level and the Contract.
2. Enter the number of deals in your study. Generally 2,000 hands is a minimum number and 5,000 will give you a very accurate answer. Of course the larger the sample size, the longer time it will take to complete your study.
3. Decide if you want to save a PBN file with all the deals in your study. Each deal in the PBN file will also contain a Leads "tag pair".

For example: [Leads "AH,6,5H,5,KD,5,7S,5,TS,5,3C,5,5C,5,9C,5,5D,4,9D,4"]]

This shows the number of tricks to be won by the defense, depending on the card lead, sorted from best to worst.

Now you're ready to click the "Best Leads" button.

Get Results

When you start Lead Captain, you can retrieve the hand definitions and results from any previously saved file.

Get deals from PBN

Rather than use Lead Captain's dealing feature, you can use another program such as Jack or Dealmaster to create a PBN file with all the deals in your study. The only requirement is that the south hand remain constant for all the deals.

Save Results

After you've completed your study, save each hands' definition, as well as the results, in a text (ini) file.

Clear all hands

Clears the results and the hand definitions. This is always a good practice when you start a new study.

LC MainScreen


Best Leads

While the program is running, a bar will visually show progress, and the number of completed deals will also appear.

The number of deals processed per minute, an interesting statistic, is shown when you've finished.

After the requested number of deals has been completed, the results will appear in a 3 column table. Initially the results are sorted from best to worst lead based upon the probability of setting the hand (IMP oriented) with each given lead.

Resuts

The third column shows the expected number of tricks to be taken with the given lead (MP oriented).

You may sort the results on any of the 3 columns by clicking on the header of the desired column. A second click on the same column's header will sort in the opposite direction.

You may also save these results in an .ini fille where the results and all the hand definitions can be retrieved.


Double Dummy Calculations

Double dummy calculations are made with Bo Haglund's double dummy engine, available for free to all developers at http://privat.bahnhof.se/wb758135/

For maximum speed, these calculations take advantage of "multi-processing" by using all the cores/threads of your CPU. With Intel's "hyper-threading" each core can appear as two threads. See http://en.wikipedia.org/wiki/Multiprocessing

Batching

Using a random number generator, Lead Captain deals 1000s of random hands, checking to see if the three hidden hands meet all of the given definitions. The program first looks at the "Exclusion" definitions (if any), discarding deals that meet the excluded definition(s) then the "Inclusion" definitions. Once a random deal meets all the criteria, that deal is added to the batch of acceptable hands. Once 200 deals have been found that batch of deals is passed to the double dummy engine for multi-processing where the real number crunching occurs.


Timing

The total time it takes to run your Lead Captain study depends, primarily, on the contract. Generally, the hardest contracts to play, with the most optional lines of play, are NT contracts - and in particular, low level NT contracts. As in "real" bridge, slam hands are generally straight forward with fewer optional lines of play and they take correspondingly less amount of time - at the table and on your computer.

The second important factor affecting time is the speed of your processor (CPU) and in particular the number of threads allowed by your CPU. Approximately 5% of the total time is spent shuffling and dealing - trying to find hands that fit the patterns you've defined. The remaining time is spent in Bo Haglund's wonderful double dummy engine, crunching away to determine the number of tricks to be won based upon each possible lead.

Lead Captain determines the results for each possible different lead. Since spot cards are normally interchangeable, you can speed up the simulation a bit by allocating touching cards in the south hand. For example, Lead Captain has to determine four separate leads from A642 but only two leads from A543.

My computer is a few years old and has an Intel i3-2100 chip with 4 threads. It can process roughly 1,000 slam hands per minute, but typically it achieves speeds of 600-700 hands per minute. Your mileage may vary.


Examples

You will get better results the more accurately you define each hand with the information revealed in the bidding.

A few examples will help you learn how to use Lead Captain to the fullest extent.


Roman Key Card

Assume dummy has revealed he holds one key card and not the queen of trump. You will need three patterns to describe this.

· Exclude all hands with the queen of trump by placing "Q" in the suit quality. No need to put any other info in the defined fields.
· Include hands with the one ace (range 1-1) and not the king of trump ("-K" in the trump suit quality). Of course you must also define other information about strength and distribution as revealed in the bidding.
· Include hands with 0 aces (range 0-0) and the king of trump ("K" in the trump suit quality), as well as the other information.

Don't get confused with double negatives. In the above example, you want to exclude hands that have the queen. If you exclude hands that don't have the queen, by putting "-Q" in suit quality, you would be forcing the dealer to give the queen to that hand.


Passed hands

 Top Previous

Any hand that has passed at every turn to bid can often be left "totally random". If the other two hands have been defined well, then the passed hand is stuck with what's left! For example, if the leader has 3 spades, dummy has 3-5 spades, and declarer has 5-7 spades, we know that partner has 0-2 spades; however it is not necessary to define partner's hand as having 0-2 spades. If you leave it as having 0-13 spades your partner will still end up with 0-2 spades.